Destio

Установка Viber в Ubuntu 18.04

При обновлении с Ubuntu 17.10 на 18.04, у меня удалился Viber, и последующие попытки его установить были не очень успешными:

The following packages have unmet dependencies:
viber : Depends: libcurl3 but it is not going to be installed

В итоге вот этот совет с askubuntu оказался несложным и вполне работоспособным.

1) Скачать официальный deb-пакет с сайта Viber и разобрать его:

dpkg-deb -x viber.deb viber
dpkg-deb --control viber.deb viber/DEBIAN

2) Открыть любым редактором текстовый файл ./viber/DEBIAN/control, заменить «libcurl3» на «libcurl4» и удалить лишние пустые строки в конце файла.

3) Собрать пакет обратно и установить как обычно:

dpkg -b viber viberlibcurl4.deb
sudo apt install viberlibcurl4.deb

Я бы выложил этот пакет тут, но он такой проприетарный, что не хочется.

Ярлыки: ,


Ближайшие сообщения:

Похожие сообщения:

Комментарии к этой записи отключены.